[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ENoThreadSupport

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

No Thread support error.

## Declaration

Source position: sysutilh.inc line 212

`type ENoThreadSupport = class(Exception)`

## Inheritance

`ENoThreadSupport` |  | No Thread support error.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

ENoThreadSupport is raised when some thread routines are invoked, and thread support was not enabled when the program was compiled.